Skocz do zawartości


Zdjęcie

Wordpress problem odwołanie do ver=1.10.2


  • Zaloguj się, aby dodać odpowiedź
2 odpowiedzi w tym temacie

#1 makensis

makensis

    Naczelny

  • 5035 postów

Napisano 18 09 2013 - 19:08

W najnowszym Wordpressie w kodzie strony możemy odnaleźć odnośnik do strony głównej z odwołaniem: ?ver=1.10.2. Związane jest to z nieprawidłową pracą wtyczki: Better Wordpress Minify.

 

pre_1379523863__problem_wordpress_ver_11

 

Aby usunąć błąd należy:

 

Otworzyć plik w lokalizacji bwp-minify/includes/class-bwp-minify.php i podmienić deklarację funkcji print_dynamic_scripts na:

function print_dynamic_scripts($type = 'header')
        {
                global $wp_scripts;

                $scripts = ('header' == $type) ? $this->header_dynamic : $this->footer_dynamic;

                foreach ($scripts as $handle) {
                        if ( $wp_scripts->registered[$handle]->src !== false ) {
                                $wp_scripts->do_item($handle);
                        }
                }
        }


  • 0

#2 Macsch15

Macsch15

    Profesjonalista

  • 3703 postów

Napisano 18 09 2013 - 19:28

Jaki błąd?



  • 0

#3 makensis

makensis

    Naczelny

  • 5035 postów

Napisano 18 09 2013 - 19:32

To, że na każdej stronie w pozycji SCRIPT jest wywoływana strona główna z końcówką "?=1.10.12". Sprawdziłem to w Piwiku, bo wyskoczyła mi jako najczęściej odwiedzana witryna internetowa. Na początku myślałem, że to jakiś skaner wersji skryptów np. w poszukiwaniu dziur w starym oprogramowaniu, a to zwykły błąd wtyczki.



  • 0

Zobacz więcej tematów z tagiem: Wordpress



Użytkownicy przeglądający ten temat: 0

0 użytkowników, 0 gości, 0 anonimowych